curl --request GET \
--url http://127.0.0.1:{port}/modes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:{port}/modes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:{port}/modes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "http://127.0.0.1:{port}/modes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:{port}/modes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://127.0.0.1:{port}/modes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:{port}/modes/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"mode": {
"name": "<string>",
"preset": "<string>",
"language": "<string>",
"model": "<string>",
"punctuation": true,
"capitalization": true,
"profanityFilter": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customInstructions": "<string>",
"userSystemPrompt": "<string>",
"isDefault": true,
"isSystemProvided": true,
"sortOrder": -1,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"languageModel": "<string>",
"cloudTranscriptionModel": "<string>",
"cloudProvider": "<string>",
"postProcessingMode": 1,
"postProcessingProvider": "<string>",
"englishSpelling": "<string>",
"useStreamingTranscription": true,
"cloudAccuracyTier": "<string>",
"removeTrailingPeriod": true,
"enableScreenOCR": true,
"geminiCustomPrompt": "<string>",
"cloudPostProcessingModel": "<string>",
"cloudTranscriptionDomain": "<string>",
"localEngine": "<string>",
"localParakeetModel": "<string>",
"localPostProcessingModel": "<string>",
"customVocabulary": [
"<string>"
],
"providerType": "<string>"
}
}Fetch one Mode
curl --request GET \
--url http://127.0.0.1:{port}/modes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:{port}/modes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:{port}/modes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "http://127.0.0.1:{port}/modes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:{port}/modes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://127.0.0.1:{port}/modes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:{port}/modes/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"mode": {
"name": "<string>",
"preset": "<string>",
"language": "<string>",
"model": "<string>",
"punctuation": true,
"capitalization": true,
"profanityFilter": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customInstructions": "<string>",
"userSystemPrompt": "<string>",
"isDefault": true,
"isSystemProvided": true,
"sortOrder": -1,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"languageModel": "<string>",
"cloudTranscriptionModel": "<string>",
"cloudProvider": "<string>",
"postProcessingMode": 1,
"postProcessingProvider": "<string>",
"englishSpelling": "<string>",
"useStreamingTranscription": true,
"cloudAccuracyTier": "<string>",
"removeTrailingPeriod": true,
"enableScreenOCR": true,
"geminiCustomPrompt": "<string>",
"cloudPostProcessingModel": "<string>",
"cloudTranscriptionDomain": "<string>",
"localEngine": "<string>",
"localParakeetModel": "<string>",
"localPostProcessingModel": "<string>",
"customVocabulary": [
"<string>"
],
"providerType": "<string>"
}
}Authorizations
Token from the discovery file. Required on every endpoint except /health.
Path Parameters
Response
Mode payload
A key that is not listed here is IGNORED, on every platform. That is what makes the "Windows and Linux" keys below safe to send from a cross-platform client. The seven required keys are required on POST /modes only; a body missing one is refused on every platform with HTTP 200 and INVALID_REQUEST, naming the keys that are missing. A well-formed JSON object that is merely incomplete is a business failure, not a protocol failure — see the envelope rule in this document's introduction. A body that is not a JSON object, or that carries a value of the wrong type, is still the protocol failure that rule describes: HTTP 400.
Show child attributes
Show child attributes
Was this page helpful?
